package com.dxhy.erp.controller;

import com.dxhy.common.controller.AbstractController;
import com.dxhy.erp.entity.RequestRecord;
import com.dxhy.erp.service.RequestRecordService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@SuppressWarnings("AlibabaMethodTooLong")
@RequestMapping("/recall")
@RestController
@Slf4j
public class RequestRecallController extends AbstractController {

    @Resource
    RequestRecordService requestRecordService;


    @ApiOperation(value = "重调接口入口", notes = "重调接口入口")
    @RequestMapping(path = "/requestRecordRecall", method = {RequestMethod.POST})
    public ResponseEntity<?> recall(RequestRecord requestRecord) {
        return requestRecordService.reCall(requestRecord);
    }


}
